/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(1.65)lf, np.float64(-1.33)lf, np.float64(-1.93)lf, np.float64(-0.76)lf)
 * faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)
 * faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)
 * faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(1.65)lf, np.float64(-1.33)lf, np.float64(-1.93)lf, np.float64(-0.76)lf)
 * faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(-0.8)lf, np.float64(0.15)lf, np.float64(0.51)lf, np.float64(-0.0)lf)
 * faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)
 * faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)
 * faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(-0.8)lf, np.float64(0.15)lf, np.float64(0.51)lf, np.float64(-0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(1.65)lf, np.float64(-1.33)lf, np.float64(-1.93)lf, np.float64(-0.76)lf)) <= np.float64(2.9654510618116767e-05)lf ? 1 : -1] array0;
  double[distance(faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) <= np.float64(2.9654510618116767e-05)lf ? 1 : -1] array1;
  double[distance(faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) <= np.float64(2.9654510618116767e-05)lf ? 1 : -1] array2;
  double[distance(faceforward(dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(1.65)lf, np.float64(-1.33)lf, np.float64(-1.93)lf, np.float64(-0.76)lf)) <= np.float64(2.9654510618116767e-05)lf ? 1 : -1] array3;
  double[distance(faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(-0.8)lf, np.float64(0.15)lf, np.float64(0.51)lf, np.float64(-0.0)lf)) <= np.float64(9.605206921248497e-06)lf ? 1 : -1] array4;
  double[distance(faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) <= np.float64(9.605206921248497e-06)lf ? 1 : -1] array5;
  double[distance(faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) <= np.float64(9.605206921248497e-06)lf ? 1 : -1] array6;
  double[distance(faceforward(dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf), dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(-0.8)lf, np.float64(0.15)lf, np.float64(0.51)lf, np.float64(-0.0)lf)) <= np.float64(9.605206921248497e-06)lf ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
