/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) - dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 * (dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) - dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(-2.45)lf, np.float64(1.48)lf, np.float64(2.44)lf, np.float64(0.76)lf)
 * (dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) - dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(2.45)lf, np.float64(-1.48)lf, np.float64(-2.44)lf, np.float64(-0.76)lf)
 * (dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) - dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance((dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) - dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[distance((dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) - dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(-2.45)lf, np.float64(1.48)lf, np.float64(2.44)lf, np.float64(0.76)lf)) <= np.float64(3.837199499635118e-05)lf ? 1 : -1] array1;
  double[distance((dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) - dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(2.45)lf, np.float64(-1.48)lf, np.float64(-2.44)lf, np.float64(-0.76)lf)) <= np.float64(3.837199499635118e-05)lf ? 1 : -1] array2;
  double[distance((dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) - dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
