/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * min(u64vec4(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)) => u64vec4(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul)
 * min(u64vec4(np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)) => u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul)
 * min(u64vec4(np.uint64(66)ul, np.uint64(66)ul, np.uint64(66)ul, np.uint64(66)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)) => u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(66)ul)
 * min(u64vec4(np.uint64(90)ul, np.uint64(90)ul, np.uint64(90)ul, np.uint64(90)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)) => u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal(min(u64vec4(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)), u64vec4(np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul, np.uint64(20)ul))) ? 1 : -1] array0;
  float[all(equal(min(u64vec4(np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(43)ul, np.uint64(43)ul))) ? 1 : -1] array1;
  float[all(equal(min(u64vec4(np.uint64(66)ul, np.uint64(66)ul, np.uint64(66)ul, np.uint64(66)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(66)ul))) ? 1 : -1] array2;
  float[all(equal(min(u64vec4(np.uint64(90)ul, np.uint64(90)ul, np.uint64(90)ul, np.uint64(90)ul), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul)), u64vec4(np.uint64(20)ul, np.uint64(43)ul, np.uint64(66)ul, np.uint64(90)ul))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
