/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(1.65), np.float32(-1.33), np.float32(-1.93), np.float32(-0.76))
 * (np.float32(0.0) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(-0.8), np.float32(0.15), np.float32(0.51), np.float32(0.0))
 * (np.float32(-1.33) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(0.31999993), np.float32(-2.66), np.float32(-3.26), np.float32(-2.0900002))
 * (np.float32(-1.33) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(-2.13), np.float32(-1.1800001), np.float32(-0.82000005), np.float32(-1.33))
 * (np.float32(0.85) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))) => vec4(np.float32(2.5), np.float32(-0.48000002), np.float32(-1.0799999), np.float32(0.09000003))
 * (np.float32(0.85) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))) => vec4(np.float32(0.050000012), np.float32(1.0), np.float32(1.36), np.float32(0.85))
 */
#version 120

void main()
{
  float[distance((np.float32(0.0) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(1.65), np.float32(-1.33), np.float32(-1.93), np.float32(-0.76))) <= np.float32(2.965451e-05) ? 1 : -1] array0;
  float[distance((np.float32(0.0) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(-0.8), np.float32(0.15), np.float32(0.51), np.float32(0.0))) <= np.float32(9.605207e-06) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(0.31999993), np.float32(-2.66), np.float32(-3.26), np.float32(-2.0900002))) <= np.float32(4.7088957e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(-2.13), np.float32(-1.1800001), np.float32(-0.82000005), np.float32(-1.33))) <= np.float32(2.893199e-05) ? 1 : -1] array3;
  float[distance((np.float32(0.85) - vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76))), vec4(np.float32(2.5), np.float32(-0.48000002), np.float32(-1.0799999), np.float32(0.09000003))) <= np.float32(2.766749e-05) ? 1 : -1] array4;
  float[distance((np.float32(0.85) - vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0))), vec4(np.float32(0.050000012), np.float32(1.0), np.float32(1.36), np.float32(0.85))) <= np.float32(1.8906612e-05) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
