/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * max(ivec3(np.int32(-5), np.int32(-5), np.int32(-5)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))) => ivec3(np.int32(-5), np.int32(-2), np.int32(-1))
 * max(ivec3(np.int32(-5), np.int32(-5), np.int32(-5)), ivec3(np.int32(0), np.int32(1), np.int32(2))) => ivec3(np.int32(0), np.int32(1), np.int32(2))
 * max(ivec3(np.int32(-5), np.int32(-2), np.int32(-2)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))) => ivec3(np.int32(5), np.int32(-2), np.int32(-2))
 * max(ivec3(np.int32(-2), np.int32(-2), np.int32(-2)), ivec3(np.int32(-1), np.int32(0), np.int32(1))) => ivec3(np.int32(-1), np.int32(0), np.int32(1))
 * max(ivec3(np.int32(-2), np.int32(-2), np.int32(-1)), ivec3(np.int32(2), np.int32(5), np.int32(-5))) => ivec3(np.int32(2), np.int32(5), np.int32(-1))
 * max(ivec3(np.int32(-1), np.int32(-1), np.int32(-1)), ivec3(np.int32(-2), np.int32(-1), np.int32(0))) => ivec3(np.int32(-1), np.int32(-1), np.int32(0))
 * max(ivec3(np.int32(-1), np.int32(-1), np.int32(-1)), ivec3(np.int32(1), np.int32(2), np.int32(5))) => ivec3(np.int32(1), np.int32(2), np.int32(5))
 * max(ivec3(np.int32(0), np.int32(0), np.int32(0)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * max(ivec3(np.int32(0), np.int32(0), np.int32(0)), ivec3(np.int32(0), np.int32(1), np.int32(2))) => ivec3(np.int32(0), np.int32(1), np.int32(2))
 * max(ivec3(np.int32(0), np.int32(1), np.int32(1)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))) => ivec3(np.int32(5), np.int32(1), np.int32(1))
 * max(ivec3(np.int32(1), np.int32(1), np.int32(1)), ivec3(np.int32(-1), np.int32(0), np.int32(1))) => ivec3(np.int32(1), np.int32(1), np.int32(1))
 * max(ivec3(np.int32(1), np.int32(1), np.int32(2)), ivec3(np.int32(2), np.int32(5), np.int32(-5))) => ivec3(np.int32(2), np.int32(5), np.int32(2))
 * max(ivec3(np.int32(2), np.int32(2), np.int32(2)), ivec3(np.int32(-2), np.int32(-1), np.int32(0))) => ivec3(np.int32(2), np.int32(2), np.int32(2))
 * max(ivec3(np.int32(2), np.int32(2), np.int32(2)), ivec3(np.int32(1), np.int32(2), np.int32(5))) => ivec3(np.int32(2), np.int32(2), np.int32(5))
 * max(ivec3(np.int32(5), np.int32(5), np.int32(5)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))) => ivec3(np.int32(5), np.int32(5), np.int32(5))
 * max(ivec3(np.int32(5), np.int32(5), np.int32(5)), ivec3(np.int32(0), np.int32(1), np.int32(2))) => ivec3(np.int32(5), np.int32(5), np.int32(5))
 * max(ivec3(np.int32(5), np.int32(-5), np.int32(-5)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))) => ivec3(np.int32(5), np.int32(-5), np.int32(-2))
 */
#version 130

void main()
{
  float[all(equal(max(ivec3(np.int32(-5), np.int32(-5), np.int32(-5)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))), ivec3(np.int32(-5), np.int32(-2), np.int32(-1)))) ? 1 : -1] array0;
  float[all(equal(max(ivec3(np.int32(-5), np.int32(-5), np.int32(-5)), ivec3(np.int32(0), np.int32(1), np.int32(2))), ivec3(np.int32(0), np.int32(1), np.int32(2)))) ? 1 : -1] array1;
  float[all(equal(max(ivec3(np.int32(-5), np.int32(-2), np.int32(-2)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))), ivec3(np.int32(5), np.int32(-2), np.int32(-2)))) ? 1 : -1] array2;
  float[all(equal(max(ivec3(np.int32(-2), np.int32(-2), np.int32(-2)), ivec3(np.int32(-1), np.int32(0), np.int32(1))), ivec3(np.int32(-1), np.int32(0), np.int32(1)))) ? 1 : -1] array3;
  float[all(equal(max(ivec3(np.int32(-2), np.int32(-2), np.int32(-1)), ivec3(np.int32(2), np.int32(5), np.int32(-5))), ivec3(np.int32(2), np.int32(5), np.int32(-1)))) ? 1 : -1] array4;
  float[all(equal(max(ivec3(np.int32(-1), np.int32(-1), np.int32(-1)), ivec3(np.int32(-2), np.int32(-1), np.int32(0))), ivec3(np.int32(-1), np.int32(-1), np.int32(0)))) ? 1 : -1] array5;
  float[all(equal(max(ivec3(np.int32(-1), np.int32(-1), np.int32(-1)), ivec3(np.int32(1), np.int32(2), np.int32(5))), ivec3(np.int32(1), np.int32(2), np.int32(5)))) ? 1 : -1] array6;
  float[all(equal(max(ivec3(np.int32(0), np.int32(0), np.int32(0)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array7;
  float[all(equal(max(ivec3(np.int32(0), np.int32(0), np.int32(0)), ivec3(np.int32(0), np.int32(1), np.int32(2))), ivec3(np.int32(0), np.int32(1), np.int32(2)))) ? 1 : -1] array8;
  float[all(equal(max(ivec3(np.int32(0), np.int32(1), np.int32(1)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))), ivec3(np.int32(5), np.int32(1), np.int32(1)))) ? 1 : -1] array9;
  float[all(equal(max(ivec3(np.int32(1), np.int32(1), np.int32(1)), ivec3(np.int32(-1), np.int32(0), np.int32(1))), ivec3(np.int32(1), np.int32(1), np.int32(1)))) ? 1 : -1] array10;
  float[all(equal(max(ivec3(np.int32(1), np.int32(1), np.int32(2)), ivec3(np.int32(2), np.int32(5), np.int32(-5))), ivec3(np.int32(2), np.int32(5), np.int32(2)))) ? 1 : -1] array11;
  float[all(equal(max(ivec3(np.int32(2), np.int32(2), np.int32(2)), ivec3(np.int32(-2), np.int32(-1), np.int32(0))), ivec3(np.int32(2), np.int32(2), np.int32(2)))) ? 1 : -1] array12;
  float[all(equal(max(ivec3(np.int32(2), np.int32(2), np.int32(2)), ivec3(np.int32(1), np.int32(2), np.int32(5))), ivec3(np.int32(2), np.int32(2), np.int32(5)))) ? 1 : -1] array13;
  float[all(equal(max(ivec3(np.int32(5), np.int32(5), np.int32(5)), ivec3(np.int32(-5), np.int32(-2), np.int32(-1))), ivec3(np.int32(5), np.int32(5), np.int32(5)))) ? 1 : -1] array14;
  float[all(equal(max(ivec3(np.int32(5), np.int32(5), np.int32(5)), ivec3(np.int32(0), np.int32(1), np.int32(2))), ivec3(np.int32(5), np.int32(5), np.int32(5)))) ? 1 : -1] array15;
  float[all(equal(max(ivec3(np.int32(5), np.int32(-5), np.int32(-5)), ivec3(np.int32(5), np.int32(-5), np.int32(-2))), ivec3(np.int32(5), np.int32(-5), np.int32(-2)))) ? 1 : -1] array16;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length());
}
