/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(0)u) => uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(6)u) => uvec3(np.uint32(30)u, np.uint32(26)u, np.uint32(82)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(12)u) => uvec3(np.uint32(24)u, np.uint32(20)u, np.uint32(76)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(32)u) => uvec3(np.uint32(4)u, np.uint32(0)u, np.uint32(56)u)
 * (uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(74)u) => uvec3(np.uint32(4294967258)u, np.uint32(4294967254)u, np.uint32(14)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(0)u) => uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(6)u) => uvec3(np.uint32(53)u, np.uint32(71)u, np.uint32(62)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(12)u) => uvec3(np.uint32(47)u, np.uint32(65)u, np.uint32(56)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(32)u) => uvec3(np.uint32(27)u, np.uint32(45)u, np.uint32(36)u)
 * (uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(74)u) => uvec3(np.uint32(4294967281)u, np.uint32(3)u, np.uint32(4294967290)u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(0)u), uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u))) ? 1 : -1] array0;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(6)u), uvec3(np.uint32(30)u, np.uint32(26)u, np.uint32(82)u))) ? 1 : -1] array1;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(12)u), uvec3(np.uint32(24)u, np.uint32(20)u, np.uint32(76)u))) ? 1 : -1] array2;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(32)u), uvec3(np.uint32(4)u, np.uint32(0)u, np.uint32(56)u))) ? 1 : -1] array3;
  float[all(equal((uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u) - np.uint32(74)u), uvec3(np.uint32(4294967258)u, np.uint32(4294967254)u, np.uint32(14)u))) ? 1 : -1] array4;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(0)u), uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u))) ? 1 : -1] array5;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(6)u), uvec3(np.uint32(53)u, np.uint32(71)u, np.uint32(62)u))) ? 1 : -1] array6;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(12)u), uvec3(np.uint32(47)u, np.uint32(65)u, np.uint32(56)u))) ? 1 : -1] array7;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(32)u), uvec3(np.uint32(27)u, np.uint32(45)u, np.uint32(36)u))) ? 1 : -1] array8;
  float[all(equal((uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u) - np.uint32(74)u), uvec3(np.uint32(4294967281)u, np.uint32(3)u, np.uint32(4294967290)u))) ? 1 : -1] array9;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length());
}
