/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(12))) => ivec4(np.int32(-51), np.int32(77), np.int32(93), np.int32(-67))
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(-6))) => ivec4(np.int32(-59), np.int32(77), np.int32(93), np.int32(-75))
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(76))) => ivec4(np.int32(-51), np.int32(77), np.int32(93), np.int32(-3))
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(-32))) => ivec4(np.int32(-33), np.int32(95), np.int32(95), np.int32(-65))
 * (ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(0))) => ivec4(np.int32(-63), np.int32(73), np.int32(89), np.int32(-75))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(12))) => ivec4(np.int32(77), np.int32(77), np.int32(93), np.int32(77))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(-6))) => ivec4(np.int32(69), np.int32(77), np.int32(93), np.int32(77))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(76))) => ivec4(np.int32(77), np.int32(77), np.int32(93), np.int32(77))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(-32))) => ivec4(np.int32(95), np.int32(95), np.int32(95), np.int32(95))
 * (ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(0))) => ivec4(np.int32(65), np.int32(73), np.int32(89), np.int32(77))
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(12))) => ivec4(np.int32(-19), np.int32(45), np.int32(-19), np.int32(77))
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(-6))) => ivec4(np.int32(-19), np.int32(45), np.int32(-19), np.int32(69))
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(76))) => ivec4(np.int32(-19), np.int32(109), np.int32(-19), np.int32(77))
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(-32))) => ivec4(np.int32(-1), np.int32(63), np.int32(-1), np.int32(95))
 * (ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(0))) => ivec4(np.int32(-23), np.int32(41), np.int32(-23), np.int32(65))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(12))) => ivec4(np.int32(29), np.int32(45), np.int32(31), np.int32(77))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(-6))) => ivec4(np.int32(29), np.int32(45), np.int32(23), np.int32(69))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(76))) => ivec4(np.int32(93), np.int32(109), np.int32(95), np.int32(77))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(-32))) => ivec4(np.int32(31), np.int32(63), np.int32(31), np.int32(95))
 * (ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(0))) => ivec4(np.int32(25), np.int32(41), np.int32(23), np.int32(65))
 */
#version 150

void main()
{
  float[all(equal((ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(12))), ivec4(np.int32(-51), np.int32(77), np.int32(93), np.int32(-67)))) ? 1 : -1] array0;
  float[all(equal((ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(-6))), ivec4(np.int32(-59), np.int32(77), np.int32(93), np.int32(-75)))) ? 1 : -1] array1;
  float[all(equal((ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(76))), ivec4(np.int32(-51), np.int32(77), np.int32(93), np.int32(-3)))) ? 1 : -1] array2;
  float[all(equal((ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(-32))), ivec4(np.int32(-33), np.int32(95), np.int32(95), np.int32(-65)))) ? 1 : -1] array3;
  float[all(equal((ivec4(np.int32(-64), np.int32(72), np.int32(88), np.int32(-76)) | abs(~ np.int32(0))), ivec4(np.int32(-63), np.int32(73), np.int32(89), np.int32(-75)))) ? 1 : -1] array4;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(12))), ivec4(np.int32(77), np.int32(77), np.int32(93), np.int32(77)))) ? 1 : -1] array5;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(-6))), ivec4(np.int32(69), np.int32(77), np.int32(93), np.int32(77)))) ? 1 : -1] array6;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(76))), ivec4(np.int32(77), np.int32(77), np.int32(93), np.int32(77)))) ? 1 : -1] array7;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(-32))), ivec4(np.int32(95), np.int32(95), np.int32(95), np.int32(95)))) ? 1 : -1] array8;
  float[all(equal((ivec4(np.int32(64), np.int32(72), np.int32(88), np.int32(76)) | abs(~ np.int32(0))), ivec4(np.int32(65), np.int32(73), np.int32(89), np.int32(77)))) ? 1 : -1] array9;
  float[all(equal((ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(12))), ivec4(np.int32(-19), np.int32(45), np.int32(-19), np.int32(77)))) ? 1 : -1] array10;
  float[all(equal((ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(-6))), ivec4(np.int32(-19), np.int32(45), np.int32(-19), np.int32(69)))) ? 1 : -1] array11;
  float[all(equal((ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(76))), ivec4(np.int32(-19), np.int32(109), np.int32(-19), np.int32(77)))) ? 1 : -1] array12;
  float[all(equal((ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(-32))), ivec4(np.int32(-1), np.int32(63), np.int32(-1), np.int32(95)))) ? 1 : -1] array13;
  float[all(equal((ivec4(np.int32(-24), np.int32(40), np.int32(-23), np.int32(64)) | abs(~ np.int32(0))), ivec4(np.int32(-23), np.int32(41), np.int32(-23), np.int32(65)))) ? 1 : -1] array14;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(12))), ivec4(np.int32(29), np.int32(45), np.int32(31), np.int32(77)))) ? 1 : -1] array15;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(-6))), ivec4(np.int32(29), np.int32(45), np.int32(23), np.int32(69)))) ? 1 : -1] array16;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(76))), ivec4(np.int32(93), np.int32(109), np.int32(95), np.int32(77)))) ? 1 : -1] array17;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(-32))), ivec4(np.int32(31), np.int32(63), np.int32(31), np.int32(95)))) ? 1 : -1] array18;
  float[all(equal((ivec4(np.int32(24), np.int32(40), np.int32(23), np.int32(64)) | abs(~ np.int32(0))), ivec4(np.int32(25), np.int32(41), np.int32(23), np.int32(65)))) ? 1 : -1] array19;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
