/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-0.017964073), np.float32(-1.2878788), np.float32(-0.5026738))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-55.666668), np.float32(-0.7764706), np.float32(-1.9893618))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))
 */
#version 150

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))) <= np.float32(1.7320508e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-0.017964073), np.float32(-1.2878788), np.float32(-0.5026738))) <= np.float32(1.382619e-05) ? 1 : -1] array1;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) / vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-55.666668), np.float32(-0.7764706), np.float32(-1.9893618))) <= np.float32(0.0005570761) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) / vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(1.0), np.float32(1.0), np.float32(1.0))) <= np.float32(1.7320508e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
