/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(0.0)) => vec4(np.float32(-0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))
 * (vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(-1.33)) => vec4(np.float32(2.1945), np.float32(-1.7689002), np.float32(-2.5669), np.float32(-1.0108))
 * (vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(0.85)) => vec4(np.float32(-1.4025), np.float32(1.1305001), np.float32(1.6405), np.float32(0.646))
 * (vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(0.0)) => vec4(np.float32(0.0), np.float32(-0.0), np.float32(-0.0), np.float32(0.0))
 * (vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(-1.33)) => vec4(np.float32(-1.064), np.float32(0.19950001), np.float32(0.6783), np.float32(-0.0))
 * (vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(0.85)) => vec4(np.float32(0.68), np.float32(-0.12750001), np.float32(-0.4335), np.float32(0.0))
 */
#version 150

void main()
{
  float[distance((vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(0.0)), vec4(np.float32(-0.0), np.float32(0.0), np.float32(0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(-1.33)), vec4(np.float32(2.1945), np.float32(-1.7689002), np.float32(-2.5669), np.float32(-1.0108))) <= np.float32(3.94405e-05) ? 1 : -1] array1;
  float[distance((vec4(np.float32(-1.65), np.float32(1.33), np.float32(1.93), np.float32(0.76)) * np.float32(0.85)), vec4(np.float32(-1.4025), np.float32(1.1305001), np.float32(1.6405), np.float32(0.646))) <= np.float32(2.5206335e-05) ? 1 : -1] array2;
  float[distance((vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(0.0)), vec4(np.float32(0.0), np.float32(-0.0), np.float32(-0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array3;
  float[distance((vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(-1.33)), vec4(np.float32(-1.064), np.float32(0.19950001), np.float32(0.6783), np.float32(-0.0))) <= np.float32(1.2774925e-05) ? 1 : -1] array4;
  float[distance((vec4(np.float32(0.8), np.float32(-0.15), np.float32(-0.51), np.float32(0.0)) * np.float32(0.85)), vec4(np.float32(0.68), np.float32(-0.12750001), np.float32(-0.4335), np.float32(0.0))) <= np.float32(8.164426e-06) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
