/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * equal(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(true, false, false, false)
 * equal(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(false, true, false, false)
 * equal(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(false, false, true, false)
 * equal(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf)) => bvec4(false, false, false, true)
 */
#version 400

void main()
{
  double[equal(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[0] == true && equal(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[1] == false && equal(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[2] == false && equal(dvec4(np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf, np.float64(-1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[3] == false ? 1 : -1] array0;
  double[equal(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[0] == false && equal(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[1] == true && equal(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[2] == false && equal(dvec4(np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf, np.float64(-0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[3] == false ? 1 : -1] array1;
  double[equal(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[0] == false && equal(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[1] == false && equal(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[2] == true && equal(dvec4(np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf, np.float64(0.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[3] == false ? 1 : -1] array2;
  double[equal(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[0] == false && equal(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[1] == false && equal(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[2] == false && equal(dvec4(np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf, np.float64(1.5)lf), dvec4(np.float64(-1.5)lf, np.float64(-0.5)lf, np.float64(0.5)lf, np.float64(1.5)lf))[3] == true ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
