/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) + dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.2)lf, np.float64(-2.4)lf)
 * (dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) + dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.52)lf, np.float64(-0.72)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) + dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-0.52)lf, np.float64(-0.72)lf)
 * (dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) + dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.84)lf, np.float64(0.96)lf)
 */
#version 400

void main()
{
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) + dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.2)lf, np.float64(-2.4)lf)) <= np.float64(2.4083189157584595e-05)lf ? 1 : -1] array0;
  double[distance((dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf) + dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.52)lf, np.float64(-0.72)lf)) <= np.float64(8.881441324469807e-06)lf ? 1 : -1] array1;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) + dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-0.52)lf, np.float64(-0.72)lf)) <= np.float64(8.881441324469807e-06)lf ? 1 : -1] array2;
  double[distance((dvec2(np.float64(-0.42)lf, np.float64(0.48)lf) + dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.84)lf, np.float64(0.96)lf)) <= np.float64(1.275617497528158e-05)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
