/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(-1.072)lf, np.float64(1.047)lf)
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.30720000000000003)lf, np.float64(-1.1225999999999998)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)) => dvec2(np.float64(1.057)lf, np.float64(-1.54)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)) => dvec2(np.float64(-0.363)lf, np.float64(1.2599999999999998)lf)
 */
#version 400

void main()
{
  double[distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(-1.072)lf, np.float64(1.047)lf)) <= np.float64(1.4984635464368162e-05)lf ? 1 : -1] array0;
  double[distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.30720000000000003)lf, np.float64(-1.1225999999999998)lf)) <= np.float64(1.16387396224849e-05)lf ? 1 : -1] array1;
  double[distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.1)lf, np.float64(-1.2)lf)), dvec2(np.float64(1.057)lf, np.float64(-1.54)lf)) <= np.float64(1.8678460857361885e-05)lf ? 1 : -1] array2;
  double[distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) * dvec2(np.float64(-0.42)lf, np.float64(0.48)lf)), dvec2(np.float64(-0.363)lf, np.float64(1.2599999999999998)lf)) <= np.float64(1.3112471162980682e-05)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
