/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * fract(np.float32(-2.0)) => np.float32(0.0)
 * fract(np.float32(-0.6666667)) => np.float32(0.3333333)
 * fract(np.float32(0.6666667)) => np.float32(0.6666667)
 * fract(np.float32(2.0)) => np.float32(0.0)
 */
#version 120

void main()
{
  float[distance(fract(np.float32(-2.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance(fract(np.float32(-0.6666667)), np.float32(0.3333333)) <= np.float32(3.333333e-06) ? 1 : -1] array1;
  float[distance(fract(np.float32(0.6666667)), np.float32(0.6666667)) <= np.float32(6.6666666e-06) ? 1 : -1] array2;
  float[distance(fract(np.float32(2.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
