/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(0.0), np.float32(0.0), np.float32(0.0), np.float32(-0.0))
 * (np.float32(0.0) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.0), np.float32(-0.0), np.float32(-0.0), np.float32(0.0))
 * (np.float32(-1.33) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(-2.128), np.float32(-2.0349), np.float32(-1.0108), np.float32(1.33))
 * (np.float32(-1.33) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(0.1729), np.float32(1.862), np.float32(1.1571001), np.float32(-1.862))
 * (np.float32(0.85) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(1.36), np.float32(1.3005), np.float32(0.646), np.float32(-0.85))
 * (np.float32(0.85) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.1105), np.float32(-1.19), np.float32(-0.73950005), np.float32(1.19))
 */
#version 120

void main()
{
  float[pow(distance((np.float32(0.0) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(0.0), np.float32(0.0))), 2) + pow(distance((np.float32(0.0) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.0), np.float32(-0.0))), 2) <= np.float32(0.0) ? 1 : -1] array0;
  float[pow(distance((np.float32(0.0) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.0), np.float32(-0.0))), 2) + pow(distance((np.float32(0.0) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.0), np.float32(0.0))), 2) <= np.float32(0.0) ? 1 : -1] array1;
  float[pow(distance((np.float32(-1.33) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(-2.128), np.float32(-2.0349))), 2) + pow(distance((np.float32(-1.33) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(-1.0108), np.float32(1.33))), 2) <= np.float32(1.1459819e-09) ? 1 : -1] array2;
  float[pow(distance((np.float32(-1.33) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(0.1729), np.float32(1.862))), 2) + pow(distance((np.float32(-1.33) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(1.1571001), np.float32(-1.862))), 2) <= np.float32(8.3028634e-10) ? 1 : -1] array3;
  float[pow(distance((np.float32(0.85) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(1.36), np.float32(1.3005))), 2) + pow(distance((np.float32(0.85) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.646), np.float32(-0.85))), 2) <= np.float32(4.6807164e-10) ? 1 : -1] array4;
  float[pow(distance((np.float32(0.85) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.1105), np.float32(-1.19))), 2) + pow(distance((np.float32(0.85) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.73950005), np.float32(1.19))), 2) <= np.float32(3.391271e-10) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
