/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(0.0009), np.float32(0.7225), np.float32(0.8836))
 * (vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(-0.0501), np.float32(-0.56100005), np.float32(-1.7578))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))) => vec3(np.float32(-0.0501), np.float32(-0.56100005), np.float32(-1.7578))
 * (vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))) => vec3(np.float32(2.7889), np.float32(0.43560004), np.float32(3.4969))
 */
#version 120

void main()
{
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(0.0009), np.float32(0.7225), np.float32(0.8836))) <= np.float32(1.1413834e-05) ? 1 : -1] array0;
  float[distance((vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(-0.0501), np.float32(-0.56100005), np.float32(-1.7578))) <= np.float32(1.845831e-05) ? 1 : -1] array1;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * vec3(np.float32(-0.03), np.float32(-0.85), np.float32(-0.94))), vec3(np.float32(-0.0501), np.float32(-0.56100005), np.float32(-1.7578))) <= np.float32(1.845831e-05) ? 1 : -1] array2;
  float[distance((vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87)) * vec3(np.float32(1.67), np.float32(0.66), np.float32(1.87))), vec3(np.float32(2.7889), np.float32(0.43560004), np.float32(3.4969))) <= np.float32(4.493998e-05) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
