/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * trunc(np.float32(-2.0)) => np.float32(-2.0)
 * trunc(np.float32(-1.4285715)) => np.float32(-1.0)
 * trunc(np.float32(-0.85714287)) => np.float32(-0.0)
 * trunc(np.float32(-0.2857143)) => np.float32(-0.0)
 * trunc(np.float32(0.2857143)) => np.float32(0.0)
 * trunc(np.float32(0.85714287)) => np.float32(0.0)
 * trunc(np.float32(1.4285715)) => np.float32(1.0)
 * trunc(np.float32(2.0)) => np.float32(2.0)
 * trunc(np.float32(0.0)) => np.float32(0.0)
 * trunc(np.float32(45027110.0)) => np.float32(45027110.0)
 * trunc(np.float32(-45027110.0)) => np.float32(-45027110.0)
 * trunc(np.float32(19584199000.0)) => np.float32(19584199000.0)
 * trunc(np.float32(-19584199000.0)) => np.float32(-19584199000.0)
 * trunc(np.float32(4.5027112e+19)) => np.float32(4.5027112e+19)
 * trunc(np.float32(-4.5027112e+19)) => np.float32(-4.5027112e+19)
 */
#version 130

void main()
{
  float[distance(trunc(np.float32(-2.0)), np.float32(-2.0)) <= np.float32(2e-05) ? 1 : -1] array0;
  float[distance(trunc(np.float32(-1.4285715)), np.float32(-1.0)) <= np.float32(1e-05) ? 1 : -1] array1;
  float[distance(trunc(np.float32(-0.85714287)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array2;
  float[distance(trunc(np.float32(-0.2857143)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array3;
  float[distance(trunc(np.float32(0.2857143)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array4;
  float[distance(trunc(np.float32(0.85714287)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array5;
  float[distance(trunc(np.float32(1.4285715)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array6;
  float[distance(trunc(np.float32(2.0)), np.float32(2.0)) <= np.float32(2e-05) ? 1 : -1] array7;
  float[distance(trunc(np.float32(0.0)), np.float32(0.0)) <= np.float32(0.0) ? 1 : -1] array8;
  float[distance(trunc(np.float32(45027110.0)), np.float32(45027110.0)) <= np.float32(450.27112) ? 1 : -1] array9;
  float[distance(trunc(np.float32(-45027110.0)), np.float32(-45027110.0)) <= np.float32(450.27112) ? 1 : -1] array10;
  float[distance(trunc(np.float32(19584199000.0)), np.float32(19584199000.0)) <= np.float32(195841.98) ? 1 : -1] array11;
  float[distance(trunc(np.float32(-19584199000.0)), np.float32(-19584199000.0)) <= np.float32(195841.98) ? 1 : -1] array12;
  float[distance(trunc(np.float32(4.5027112e+19)), np.float32(4.5027112e+19)) <= np.float32(450271120000000.0) ? 1 : -1] array13;
  float[distance(trunc(np.float32(-4.5027112e+19)), np.float32(-4.5027112e+19)) <= np.float32(450271120000000.0) ? 1 : -1] array14;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length());
}
