/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (np.float32(0.0) * vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.0), np.float32(-0.0))
 * (np.float32(0.0) * vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.0), np.float32(0.0))
 * (np.float32(-1.33) * vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(0.133), np.float32(1.5960001))
 * (np.float32(-1.33) * vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(0.5586), np.float32(-0.6384))
 * (np.float32(0.85) * vec2(np.float32(-0.1), np.float32(-1.2))) => vec2(np.float32(-0.085), np.float32(-1.0200001))
 * (np.float32(0.85) * vec2(np.float32(-0.42), np.float32(0.48))) => vec2(np.float32(-0.357), np.float32(0.408))
 */
#version 150

void main()
{
  float[distance((np.float32(0.0) * vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.0), np.float32(-0.0))) <= np.float32(0.0) ? 1 : -1] array0;
  float[distance((np.float32(0.0) * vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.0), np.float32(0.0))) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance((np.float32(-1.33) * vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(0.133), np.float32(1.5960001))) <= np.float32(1.6015321e-05) ? 1 : -1] array2;
  float[distance((np.float32(-1.33) * vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(0.5586), np.float32(-0.6384))) <= np.float32(8.482856e-06) ? 1 : -1] array3;
  float[distance((np.float32(0.85) * vec2(np.float32(-0.1), np.float32(-1.2))), vec2(np.float32(-0.085), np.float32(-1.0200001))) <= np.float32(1.0235356e-05) ? 1 : -1] array4;
  float[distance((np.float32(0.85) * vec2(np.float32(-0.42), np.float32(0.48))), vec2(np.float32(-0.357), np.float32(0.408))) <= np.float32(5.421374e-06) ? 1 : -1] array5;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
