/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => ivec3(np.int32(0), np.int32(-1), np.int32(0))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => ivec3(np.int32(0), np.int32(-12), np.int32(0))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => ivec3(np.int32(0), np.int32(11), np.int32(0))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => ivec3(np.int32(-1), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => ivec3(np.int32(-1), np.int32(0), np.int32(-1))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)) => ivec3(np.int32(0), np.int32(0), np.int32(0))
 */
#version 150

void main()
{
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), ivec3(np.int32(0), np.int32(-1), np.int32(0)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), ivec3(np.int32(0), np.int32(-12), np.int32(0)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), ivec3(np.int32(0), np.int32(11), np.int32(0)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), ivec3(np.int32(-1), np.int32(0), np.int32(-1)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), ivec3(np.int32(-1), np.int32(0), np.int32(-1)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> uvec3(np.uint32(22)u, np.uint32(23)u, np.uint32(4)u)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) >> uvec3(np.uint32(19)u, np.uint32(1)u, np.uint32(13)u)), ivec3(np.int32(0), np.int32(0), np.int32(0)))) ? 1 : -1] array7;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
