/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf)) => dmat3x4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 * (dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf)) => dmat3x4(np.float64(3.1399999999999997)lf, np.float64(2.11)lf, np.float64(-2.02)lf, np.float64(0.9700000000000001)lf, np.float64(-0.95)lf, np.float64(-0.15999999999999992)lf, np.float64(-0.55)lf, np.float64(2.67)lf, np.float64(-0.18)lf, np.float64(-1.88)lf, np.float64(0.99)lf, np.float64(-1.05)lf)
 * (dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf)) => dmat3x4(np.float64(-3.1399999999999997)lf, np.float64(-2.11)lf, np.float64(2.02)lf, np.float64(-0.9700000000000001)lf, np.float64(0.95)lf, np.float64(0.15999999999999992)lf, np.float64(0.55)lf, np.float64(-2.67)lf, np.float64(0.18)lf, np.float64(1.88)lf, np.float64(-0.99)lf, np.float64(1.05)lf)
 * (dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf)) => dmat3x4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[(distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[0], dvec4(np.float64(3.1399999999999997)lf, np.float64(2.11)lf, np.float64(-2.02)lf, np.float64(0.9700000000000001)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[0], dvec4(np.float64(3.1399999999999997)lf, np.float64(2.11)lf, np.float64(-2.02)lf, np.float64(0.9700000000000001)lf))) + (distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[1], dvec4(np.float64(-0.95)lf, np.float64(-0.15999999999999992)lf, np.float64(-0.55)lf, np.float64(2.67)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[1], dvec4(np.float64(-0.95)lf, np.float64(-0.15999999999999992)lf, np.float64(-0.55)lf, np.float64(2.67)lf))) + (distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[2], dvec4(np.float64(-0.18)lf, np.float64(-1.88)lf, np.float64(0.99)lf, np.float64(-1.05)lf)) * distance((dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[2], dvec4(np.float64(-0.18)lf, np.float64(-1.88)lf, np.float64(0.99)lf, np.float64(-1.05)lf))) <= np.float64(3.33419e-09)lf ? 1 : -1] array1;
  double[(distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[0], dvec4(np.float64(-3.1399999999999997)lf, np.float64(-2.11)lf, np.float64(2.02)lf, np.float64(-0.9700000000000001)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[0], dvec4(np.float64(-3.1399999999999997)lf, np.float64(-2.11)lf, np.float64(2.02)lf, np.float64(-0.9700000000000001)lf))) + (distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[1], dvec4(np.float64(0.95)lf, np.float64(0.15999999999999992)lf, np.float64(0.55)lf, np.float64(-2.67)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[1], dvec4(np.float64(0.95)lf, np.float64(0.15999999999999992)lf, np.float64(0.55)lf, np.float64(-2.67)lf))) + (distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[2], dvec4(np.float64(0.18)lf, np.float64(1.88)lf, np.float64(-0.99)lf, np.float64(1.05)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(1.42)lf, np.float64(1.8)lf, np.float64(-1.88)lf, np.float64(1.37)lf, np.float64(-0.86)lf, np.float64(-1.74)lf, np.float64(-0.37)lf, np.float64(1.9)lf, np.float64(0.27)lf, np.float64(0.04)lf, np.float64(0.43)lf, np.float64(0.71)lf))[2], dvec4(np.float64(0.18)lf, np.float64(1.88)lf, np.float64(-0.99)lf, np.float64(1.05)lf))) <= np.float64(3.33419e-09)lf ? 1 : -1] array2;
  double[(distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[0], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[1], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf) - dmat3x4(np.float64(-1.72)lf, np.float64(-0.31)lf, np.float64(0.14)lf, np.float64(0.4)lf, np.float64(0.09)lf, np.float64(-1.58)lf, np.float64(0.18)lf, np.float64(-0.77)lf, np.float64(0.45)lf, np.float64(1.92)lf, np.float64(-0.56)lf, np.float64(1.76)lf))[2], dvec4(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
